#
# spec file for package dovecot12
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           dovecot12
Version:        1.2.17
Release:        2.3.1
License:        BSD3c ; LGPLv2.1+ ; MIT
%define         dovecot_major_version 1.2
%define         dovecot_sieve_version 0.1.19
%define         dovecot_managesieve_version 0.11.13
%define         dovecot_managesieve_docdir %{_docdir}/%{pkg_name}/dovecot-managesieve/
%define         dovecot_sieve_docdir       %{_docdir}/%{pkg_name}/dovecot-sieve
#
Group:          Productivity/Networking/Email/Servers
#
%define makeinstall make install DESTDIR=%{buildroot}
%define pkg_name dovecot
%if 0%{?suse_version} >= 1000
%define with_solr 1
%endif
%if 0%{?suse_version} > 1020
%define with_clucene 1
%endif
%if 0%{?sles_version} == 9
%define with_sqlite 0
%else
%define with_sqlite 1
%endif
BuildRequires:  bison
BuildRequires:  db-devel
BuildRequires:  flex
BuildRequires:  mysql-devel
BuildRequires:  openldap2-devel
BuildRequires:  pam-devel
BuildRequires:  pkgconfig
BuildRequires:  postgresql-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{with_sqlite}
BuildRequires:  sqlite-devel > 3
%endif
%if 0%{?with_clucene}
BuildRequires:  clucene-core-devel
BuildRequires:  gcc-c++
%endif
%if 0%{?sles_version} == 9
BuildRequires:  heimdal-devel
BuildRequires:  libcap
%else
BuildRequires:  krb5-devel
BuildRequires:  libcap-devel
%endif
%if 0%{?suse_version} > 1020
BuildRequires:  libbz2-devel
%endif
%if 0%{?with_solr}
BuildRequires:  curl-devel
BuildRequires:  libexpat-devel
%endif
PreReq:         %fillup_prereq
PreReq:         %insserv_prereq
PreReq:         pwdutils
Provides:       dovecot = %{version}
Obsoletes:      dovecot < %{version}
Conflicts:      dovecot10 dovecot11 dovecot-snapshot dovecot11-snapshot dovecot12-snapshot
%if 0%{?suse_version} >= 1010
Recommends:     %{name}-backend-mysql = %{version}
Recommends:     %{name}-backend-pgsql = %{version}
%if 0%{with_sqlite}
Recommends:     %{name}-backend-sqlite = %{version}
%endif
%endif
#
Summary:        IMAP and POP3 Server Written Primarily with Security in Mind
#
Url:            http://www.dovecot.org
# taken from    http://www.dovecot.org/releases/1.0/%{pkg_name}-%{version}.tar.gz
Source:         %{pkg_name}-%{version}.tar.bz2
# taken from    http://www.rename-it.nl/dovecot/1.2/dovecot-1.2-sieve-0.1.13.tar.gz
%define dovecot_sieve_source_dir dovecot-%{dovecot_major_version}-sieve-%{dovecot_sieve_version}
Source1:        %{dovecot_sieve_source_dir}.tar.bz2
Source2:        %{pkg_name}.init
Source3:        %{pkg_name}.pam
Source4:        %{pkg_name}.README.SuSE
Source5:        dovecot-rpmlintrc
%define dovecot_managesieve_source_dir dovecot-%{dovecot_major_version}-managesieve-%{dovecot_managesieve_version}
Source6:        http://www.rename-it.nl/dovecot/1.2/%{dovecot_managesieve_source_dir}.tar.bz2
Source7:        %{pkg_name}-fw
# PATCH-FEATURE-UPSTREAM dovecot-1.2.13-managesieve-%{dovecot_managesieve_version}.diff.bz2
Patch:          http://www.rename-it.nl/dovecot/1.2/dovecot-1.2.17-managesieve-%{dovecot_managesieve_version}.diff.bz2
# PATCH-FEATURE-UPSTREAM dovecot-1.2.4_pie.patch
Patch1:         dovecot-1.2.4_pie.patch
# PATCH-FEATURE-UPSTREAM dovecot-1.2-managesieve-0.11.11_pie.patch
Patch2:         dovecot-1.2-managesieve-0.11.11_pie.patch
# PATCH-FEATURE-UPSTREAM dovecot-1.2-sieve-0.1.17_pie.patch
Patch3:         dovecot-1.2-sieve-0.1.17_pie.patch

%description
Dovecot is an IMAP and POP3 server for Linux and UNIX-like systems,
written primarily with security in mind. Although it is written in C,
it uses several coding techniques to avoid most of the common pitfalls.

Dovecot can work with standard mbox and maildir formats and is fully
compatible with UW-IMAP and Courier IMAP servers as well as mail
clients accessing the mailboxes directly.

Author:
--------
    Timo Sirainen <tss@iki.fi>

%package backend-mysql
License:        BSD3c ; LGPLv2.1+ ; MIT
Summary:        MySQL support for Dovecot
Group:          Productivity/Networking/Email/Servers
Requires:       %{name} = %{version}
Provides:       dovecot_sql_backend = %{version}
Provides:       dovecot-backend-mysql = %{version}
Obsoletes:      dovecot-backend-mysql < %{version}
Conflicts:      dovecot10-backend-mysql dovecot11-backend-mysql dovecot-snapshot-backend-mysql dovecot11-snapshot-backend-mysql dovecot12-snapshot-backend-mysql

%description backend-mysql
Dovecot is an IMAP and POP3 server for Linux and UNIX-like systems,
written primarily with security in mind. Although it is written in C,
it uses several coding techniques to avoid most of the common pitfalls.

Dovecot can work with standard mbox and maildir formats and is fully
compatible with UW-IMAP and Courier IMAP servers as well as mail
clients accessing the mailboxes directly.

This package holds the files needed for MySQL support.

Author:
--------
    Timo Sirainen <tss@iki.fi>

%package backend-pgsql
License:        BSD3c ; LGPLv2.1+ ; MIT
Summary:        PostgreSQL support for Dovecot
Group:          Productivity/Networking/Email/Servers
Requires:       %{name} = %{version}
Provides:       dovecot_sql_backend = %{version}
Provides:       dovecot-backend-pgsql = %{version}
Obsoletes:      dovecot-backend-pgsql < %{version}
Conflicts:      dovecot10-backend-pgsql dovecot11-backend-pgsql dovecot-snapshot-backend-pgsql dovecot11-snapshot-backend-pgsql dovecot12-snapshot-backend-pgsql

%description backend-pgsql
Dovecot is an IMAP and POP3 server for Linux and UNIX-like systems,
written primarily with security in mind. Although it is written in C,
it uses several coding techniques to avoid most of the common pitfalls.

Dovecot can work with standard mbox and maildir formats and is fully
compatible with UW-IMAP and Courier IMAP servers as well as mail
clients accessing the mailboxes directly.

This package holds the files needed for PostgreSQL support.

Author:
--------
    Timo Sirainen <tss@iki.fi>

%if 0%{?with_sqlite}

%package backend-sqlite
License:        BSD3c ; LGPLv2.1+ ; MIT
Summary:        SQLite support for Dovecot
Group:          Productivity/Networking/Email/Servers
Requires:       %{name} = %{version}
Provides:       dovecot_sql_backend = %{version}
Provides:       dovecot-backend-sqlite = %{version}
Obsoletes:      dovecot-backend-sqlite < %{version}
Conflicts:      dovecot10-backend-sqlite dovecot11-backend-sqlite dovecot-snapshot-backend-sqlite dovecot11-snapshot-backend-sqlite dovecot12-snapshot-backend-sqlite

%description backend-sqlite
Dovecot is an IMAP and POP3 server for Linux and UNIX-like systems,
written primarily with security in mind. Although it is written in C,
it uses several coding techniques to avoid most of the common pitfalls.

Dovecot can work with standard mbox and maildir formats and is fully
compatible with UW-IMAP and Courier IMAP servers as well as mail
clients accessing the mailboxes directly.

This package holds the files needed for SQLite support.

Author:
--------
    Timo Sirainen <tss@iki.fi>
%endif

%if 0%{?with_clucene}

%package fts-lucene
License:        BSD3c ; LGPLv2.1+ ; MIT
Summary:        Fulltext search support via CLucene
Group:          Productivity/Networking/Email/Servers
Requires:       %{name} = %{version}
Provides:       dovecot_fts_backend = %{version}
Provides:       dovecot-fts-clucene = %{version}
Obsoletes:      dovecot-fts-clucene < %{version}
Conflicts:      dovecot10-fts-clucene dovecot11-fts-clucene dovecot-snapshot-fts-clucene dovecot11-snapshot-fts-clucene dovecot12-snapshot-fts-clucene

%description fts-lucene
Dovecot is an IMAP and POP3 server for Linux and UNIX-like systems,
written primarily with security in mind. Although it is written in C,
it uses several coding techniques to avoid most of the common pitfalls.

Dovecot can work with standard mbox and maildir formats and is fully
compatible with UW-IMAP and Courier IMAP servers as well as mail
clients accessing the mailboxes directly.

This package holds the files needed for fulltext search support via CLucene.

Author:
--------
    Timo Sirainen <tss@iki.fi>
%endif

%if 0%{?with_solr}

%package fts-solr
License:        BSD3c ; LGPLv2.1+ ; MIT
Summary:        Fulltext search support via solr
Group:          Productivity/Networking/Email/Servers
Requires:       %{name} = %{version}
Provides:       dovecot_fts_backend = %{version}
Provides:       dovecot-fts-solr = %{version}
Obsoletes:      dovecot-fts-solr < %{version}
Conflicts:      dovecot10-fts-solr dovecot11-fts-solr dovecot-snapshot-fts-solr dovecot11-snapshot-fts-solr dovecot12-snapshot-fts-solr

%description fts-solr
Dovecot is an IMAP and POP3 server for Linux and UNIX-like systems,
written primarily with security in mind. Although it is written in C,
it uses several coding techniques to avoid most of the common pitfalls.

Dovecot can work with standard mbox and maildir formats and is fully
compatible with UW-IMAP and Courier IMAP servers as well as mail
clients accessing the mailboxes directly.

This package holds the files needed for fulltext search support via solr.

Author:
--------
    Timo Sirainen <tss@iki.fi>
%endif

%package devel
License:        BSD3c ; LGPLv2.1+ ; MIT
#
Summary:        Development files for Dovecot plugins
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Provides:       dovecot-devel = %{version}
Obsoletes:      dovecot-devel < %{version}
Conflicts:      dovecot10-devel dovecot-snapshot-devel dovecot11-snapshot-devel dovecot12-snapshot-devel

%description devel
Dovecot is an IMAP and POP3 server for Linux and UNIX-like systems,
written primarily with security in mind. Although it is written in C,
it uses several coding techniques to avoid most of the common pitfalls.

Dovecot can work with standard mbox and maildir formats and is fully
compatible with UW-IMAP and Courier IMAP servers as well as mail
clients accessing the mailboxes directly.

This package holds the file needed to compile plugins outside of the
dovecot tree.

Author:
--------
    Timo Sirainen <tss@iki.fi>

%prep
%setup -q -n %{pkg_name}-%{version} -a 1 -a 6
%patch -p1
cp %{pkg_name}-example.conf{,.bak}
%{__sed} -i -e 's|#ssl = yes|ssl = no|' \
            -e 's|/usr/libexec|%{_prefix}/lib|g' %{pkg_name}-example.conf
%{__perl} -p -i -e 's|#(mail_plugin_dir =) /usr/lib/dovecot/(.*)$|$1 %{_libdir}/dovecot/modules/$2|g' %{pkg_name}-example.conf
diff -urN %{pkg_name}-example.conf{.bak,} ||:
# dont delete those commented out patch lines
#patch1
#patch2
#patch3

%build
export CFLAGS="%{optflags}"
%if 0%{?suse_version} > 1000
    export CFLAGS="$CFLAGS -fstack-protector"
%endif
if [ -f /usr/share/gettext/config.rpath -a ! -f config.rpath ] ; then
    %{__cp} -v /usr/share/gettext/config.rpath .
fi
#./autogen.sh
aclocal
autoheader
libtoolize --force
automake --add-missing
autoconf
%if 0%{?with_clucene}
export CFLAGS="$CFLAGS -I%{_libdir}"
export CXXFLAGS="$CFLAGS -I%{_libdir}"
%endif
export CFLAGS="$CFLAGS -fpic -DPIC"
export LIBS="-pie"
%configure                                          \
    --sysconfdir=%{_sysconfdir}/%{pkg_name}         \
    --libexecdir=%{_prefix}/lib                     \
    --with-moduledir=%{_libdir}/%{pkg_name}/modules \
    --with-ioloop=best                              \
    --with-static-userdb                            \
    --with-prefetch-userdb                          \
%if 0%{?with_clucene}
    --with-lucene                                   \
%endif
%if 0%{?with_solr}
    --with-solr                                     \
%endif
    --with-ldap=plugin                              \
    --with-sql=plugin                               \
    --with-gssapi=plugin                            \
    --with-pgsql                                    \
    --with-mysql                                    \
%if 0%{?with_sqlite}
    --with-sqlite                                   \
%endif
    --with-db                                       \
    --with-ssl=openssl                              \
    --with-zlib                                     \
    --with-bzlib                                    \
    --with-libcap                                   \
    --with-docs                                     \
    --disable-static                                \
    --enable-header-install
%{__make}
pushd %{dovecot_sieve_source_dir}
    if [ -f /usr/share/gettext/config.rpath -a ! -f config.rpath ] ; then
        %{__cp} -v /usr/share/gettext/config.rpath .
    fi
    aclocal
    autoheader
    libtoolize --force
    automake --add-missing
    autoconf
    export CFLAGS="$CFLAGS -fno-strict-aliasing"
    export CPPFLAGS="$CFLAGS -fno-strict-aliasing"
    %configure                                      \
    --sysconfdir=%{_sysconfdir}/%{pkg_name}         \
    --libexecdir=%{_prefix}/lib/                    \
    --with-dovecot=../                              \
    --disable-static                                \
    --enable-pie
    make
popd
pushd %{dovecot_managesieve_source_dir}
    if [ -f /usr/share/gettext/config.rpath -a ! -f config.rpath ] ; then
        %{__cp} -v /usr/share/gettext/config.rpath .
    fi
    aclocal
    autoheader
    libtoolize --force
    automake --add-missing
    autoconf
    %configure                                      \
    --sysconfdir=%{_sysconfdir}/%{pkg_name}         \
    --libexecdir=%{_prefix}/lib/                    \
    --with-moduledir=%{_libdir}/%{pkg_name}/modules \
    --with-dovecot=../                              \
    --with-dovecot-sieve=../%{dovecot_sieve_source_dir} \
    --disable-static                                \
    --enable-pie
    make
popd

%install
%makeinstall docdir=%{_docdir}/%{pkg_name} wikidir=%{_docdir}/%{pkg_name}/wiki
%makeinstall -C %{dovecot_sieve_source_dir} docdir=%{dovecot_sieve_docdir}
%makeinstall -C %{dovecot_managesieve_source_dir} docdir=%{dovecot_managesieve_docdir}
find %{buildroot}%{_libdir}/%{pkg_name}/modules/ -type f -name \*.la -print0 | xargs -r0 rm -v
find %{buildroot}%{_libdir}/%{pkg_name}/modules/ -type f -name \*.a  -print0 | xargs -r0 rm -v
%{__install} -m 0755 -Dd %{buildroot}%{_var}/run/%{pkg_name}/login/ %{buildroot}%{_var}/lib/%{pkg_name}/
#
# fix config filename and install additional config
%{__mv} %{buildroot}%{_sysconfdir}/%{pkg_name}/%{pkg_name}{-example,}.conf
%{__install} -m 0640 doc/*conf %{buildroot}%{_sysconfdir}/%{pkg_name}
%{__install} -D -m 0644 %{S:3} %{buildroot}%{_sysconfdir}/pam.d/%{pkg_name}
#
# install the init script
%{__install} -D -m 0755 %{S:2} %{buildroot}%{_sysconfdir}/init.d/%{pkg_name}
%{__ln_s} -f %{_sysconfdir}/init.d/%{pkg_name} %{buildroot}%{_sbindir}/rc%{pkg_name}
#
# install the script to create dummy selfsigned certs
%{__install} -m 0755 doc/mkcert.sh %{buildroot}%{_docdir}/%{pkg_name}
%{__install} -m 0644 doc/*.cnf     %{buildroot}%{_docdir}/%{pkg_name}
%{__install} -m 0644 %{S:4}        %{buildroot}%{_docdir}/%{pkg_name}/README.SuSE
#
# additional docs for the main package
%{__install} -m 0644 \
       AUTHORS ChangeLog COPYING* NEWS TODO README* doc/*.txt \
    %{buildroot}%{_docdir}/%{pkg_name}/
%if 0%{?with_solr}
%{__install} -m 0644 doc/*.xml \
    %{buildroot}%{_docdir}/%{pkg_name}/
%endif
%{__gzip} -9v %{buildroot}%{_docdir}/%{pkg_name}/ChangeLog
#
for i in %{dovecot_sieve_source_dir}/{AUTHORS,ChangeLog,COPYING,NEWS,README} ; do
    %{__install} -m 0644 $i %{buildroot}%{_docdir}/%{pkg_name}/${i##%{dovecot_sieve_source_dir}/}.dovecot-sieve
done
for i in %{dovecot_managesieve_source_dir}/{AUTHORS,ChangeLog,COPYING,NEWS,README,TODO} ; do
    %{__install} -m 0644 $i %{buildroot}%{_docdir}/%{pkg_name}/${i##%{dovecot_managesieve_source_dir}/}.managesieve
done
#
# useless atm
%{__rm} -v %{buildroot}%{_libdir}/%{pkg_name}/dovecot-config

# install firewall services
%{__install} -D -m 644 %{S:7} %{buildroot}%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/%{pkg_name}

%clean
%{__rm} -rf %{buildroot}

%pre
/usr/sbin/groupadd -r %{pkg_name} &>/dev/null || :
/usr/sbin/useradd -o -g %{pkg_name} -s /bin/false -r -c "User for Dovecot imapd" -d %{_var}/run/%{pkg_name} %{pkg_name} &>/dev/null || :

%preun
%stop_on_removal %{pkg_name}

%post
%fillup_and_insserv -f %{pkg_name}

%postun
%insserv_cleanup
%restart_on_update %{pkg_name}

%files
%defattr(-,root,root)
%{_sysconfdir}/init.d/%{pkg_name}
%{_sbindir}/%{pkg_name}*
%{_sbindir}/rc%{pkg_name}
%dir %{_sysconfdir}/%{pkg_name}
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/%{pkg_name}/*
%config(noreplace) %{_sysconfdir}/pam.d/%{pkg_name}
%config %{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/%{pkg_name}
%dir %{_prefix}/lib/%{pkg_name}
%{_prefix}/lib/%{pkg_name}/checkpassword-reply
%{_prefix}/lib/%{pkg_name}/dovecot-auth
%{_prefix}/lib/%{pkg_name}/rawlog
%{_prefix}/lib/%{pkg_name}/imap*
%{_prefix}/lib/%{pkg_name}/pop3*
%{_prefix}/lib/%{pkg_name}/deliver
%{_prefix}/lib/%{pkg_name}/dict
%{_prefix}/lib/%{pkg_name}/gdbhelper
%{_prefix}/lib/%{pkg_name}/ssl-build-param
%{_prefix}/lib/%{pkg_name}/idxview
%{_prefix}/lib/%{pkg_name}/logview
%{_prefix}/lib/%{pkg_name}/convert-tool
%{_prefix}/lib/%{pkg_name}/expire-tool
%{_prefix}/lib/%{pkg_name}/listview
%{_prefix}/lib/%{pkg_name}/threadview
%{_prefix}/lib/%{pkg_name}/maildirlock
%{_prefix}/lib/%{pkg_name}/managesieve
%{_prefix}/lib/%{pkg_name}/managesieve-login
%{_prefix}/lib/%{pkg_name}/authtest
#
# plugins
#
%dir %{_libdir}/%{pkg_name}
%dir %{_libdir}/%{pkg_name}/modules/
%{_libdir}/%{pkg_name}/modules/lib01_acl_plugin.so
%{_libdir}/%{pkg_name}/modules/lib02_lazy_expunge_plugin.so
%{_libdir}/%{pkg_name}/modules/lib10_quota_plugin.so
%{_libdir}/%{pkg_name}/modules/lib11_trash_plugin.so
%{_libdir}/%{pkg_name}/modules/lib20_convert_plugin.so
%{_libdir}/%{pkg_name}/modules/lib20_mail_log_plugin.so
%{_libdir}/%{pkg_name}/modules/lib20_expire_plugin.so
%{_libdir}/%{pkg_name}/modules/lib20_fts_plugin.so
%{_libdir}/%{pkg_name}/modules/lib20_mbox_snarf_plugin.so
%{_libdir}/%{pkg_name}/modules/lib20_zlib_plugin.so
%{_libdir}/%{pkg_name}/modules/lib20_autocreate_plugin.so
%{_libdir}/%{pkg_name}/modules/lib20_listescape_plugin.so
%{_libdir}/%{pkg_name}/modules/lib20_virtual_plugin.so
%{_libdir}/%{pkg_name}/modules/lib21_fts_squat_plugin.so
%dir %{_libdir}/%{pkg_name}/modules/imap
%{_libdir}/%{pkg_name}/modules/imap/lib01_acl_plugin.so
%{_libdir}/%{pkg_name}/modules/imap/lib02_lazy_expunge_plugin.so
%{_libdir}/%{pkg_name}/modules/imap/lib02_imap_acl_plugin.so
%{_libdir}/%{pkg_name}/modules/imap/lib10_quota_plugin.so
%{_libdir}/%{pkg_name}/modules/imap/lib11_imap_quota_plugin.so
%{_libdir}/%{pkg_name}/modules/imap/lib11_trash_plugin.so
%{_libdir}/%{pkg_name}/modules/imap/lib20_convert_plugin.so
%{_libdir}/%{pkg_name}/modules/imap/lib20_mail_log_plugin.so
%{_libdir}/%{pkg_name}/modules/imap/lib20_zlib_plugin.so
%{_libdir}/%{pkg_name}/modules/imap/lib20_expire_plugin.so
%{_libdir}/%{pkg_name}/modules/imap/lib20_fts_plugin.so
%{_libdir}/%{pkg_name}/modules/imap/lib20_mbox_snarf_plugin.so
%{_libdir}/%{pkg_name}/modules/imap/lib20_autocreate_plugin.so
%{_libdir}/%{pkg_name}/modules/imap/lib20_listescape_plugin.so
%{_libdir}/%{pkg_name}/modules/imap/lib20_virtual_plugin.so
%{_libdir}/%{pkg_name}/modules/imap/lib21_fts_squat_plugin.so
%dir %{_libdir}/%{pkg_name}/modules/lda
%{_libdir}/%{pkg_name}/modules/lda/lib01_acl_plugin.so
%{_libdir}/%{pkg_name}/modules/lda/lib10_quota_plugin.so
%{_libdir}/%{pkg_name}/modules/lda/lib11_trash_plugin.so
%{_libdir}/%{pkg_name}/modules/lda/lib20_convert_plugin.so
%{_libdir}/%{pkg_name}/modules/lda/lib20_mail_log_plugin.so
%{_libdir}/%{pkg_name}/modules/lda/lib90_sieve_plugin.so
%{_libdir}/%{pkg_name}/modules/lda/lib20_expire_plugin.so
%{_libdir}/%{pkg_name}/modules/lda/lib20_fts_plugin.so
%{_libdir}/%{pkg_name}/modules/lda/lib20_autocreate_plugin.so
%{_libdir}/%{pkg_name}/modules/lda/lib20_listescape_plugin.so
%{_libdir}/%{pkg_name}/modules/lda/lib20_virtual_plugin.so
%{_libdir}/%{pkg_name}/modules/lda/lib21_fts_squat_plugin.so
%{_libdir}/%{pkg_name}/modules/lda/lib90_sieve_plugin.so
%dir %{_libdir}/%{pkg_name}/modules/pop3
%{_libdir}/%{pkg_name}/modules/pop3/lib02_lazy_expunge_plugin.so
%{_libdir}/%{pkg_name}/modules/pop3/lib10_quota_plugin.so
%{_libdir}/%{pkg_name}/modules/pop3/lib20_convert_plugin.so
%{_libdir}/%{pkg_name}/modules/pop3/lib20_mail_log_plugin.so
%{_libdir}/%{pkg_name}/modules/pop3/lib20_expire_plugin.so
%{_libdir}/%{pkg_name}/modules/pop3/lib20_fts_plugin.so
%{_libdir}/%{pkg_name}/modules/pop3/lib20_mbox_snarf_plugin.so
%{_libdir}/%{pkg_name}/modules/pop3/lib20_zlib_plugin.so
%{_libdir}/%{pkg_name}/modules/pop3/lib20_autocreate_plugin.so
%{_libdir}/%{pkg_name}/modules/pop3/lib20_listescape_plugin.so
%{_libdir}/%{pkg_name}/modules/pop3/lib20_virtual_plugin.so
%{_libdir}/%{pkg_name}/modules/pop3/lib21_fts_squat_plugin.so
# auth modules
%dir %{_libdir}/%{pkg_name}/modules/auth/
%dir %{_libdir}/%{pkg_name}/modules/dict/
%dir %{_libdir}/%{pkg_name}/modules/sql/
%{_libdir}/%{pkg_name}/modules/auth/libauthdb_ldap.so
%{_libdir}/%{pkg_name}/modules/auth/libmech_gssapi.so
#
%{_mandir}/man1/sieve-test.1*
%{_mandir}/man1/sievec.1*
%{_mandir}/man1/sieved.1*
#
#%{_bindir}/sieve-filter
%{_bindir}/sieve-test
%{_bindir}/sievec
%{_bindir}/sieved
#
# documentation
#
%doc %{_docdir}/%{pkg_name}
%if 0%{?with_solr}
%exclude %{_docdir}/%{pkg_name}/solr-schema.xml
%endif
#
# setting up permissions
#
%dir %attr(0755, root, root)        %ghost %{_var}/run/%{pkg_name}/
%dir %attr(0750, root, %{pkg_name}) %ghost %{_var}/run/%{pkg_name}/login/
%dir %attr(0750, root, root)        %{_var}/lib/%{pkg_name}/

%files backend-mysql
%defattr(-,root,root,-)
%{_libdir}/%{pkg_name}/modules/auth/libdriver_mysql.so
%{_libdir}/%{pkg_name}/modules/dict/libdriver_mysql.so
%{_libdir}/%{pkg_name}/modules/sql/libdriver_mysql.so

%files backend-pgsql
%defattr(-,root,root,-)
%{_libdir}/%{pkg_name}/modules/auth/libdriver_pgsql.so
%{_libdir}/%{pkg_name}/modules/dict/libdriver_pgsql.so
%{_libdir}/%{pkg_name}/modules/sql/libdriver_pgsql.so

%if 0%{?with_sqlite}

%files backend-sqlite
%defattr(-,root,root,-)
%{_libdir}/%{pkg_name}/modules/auth/libdriver_sqlite.so
%{_libdir}/%{pkg_name}/modules/dict/libdriver_sqlite.so
%{_libdir}/%{pkg_name}/modules/sql/libdriver_sqlite.so
%endif

%if 0%{?with_clucene}

%files fts-lucene
%defattr(-,root,root,-)
%{_libdir}/%{pkg_name}/modules/lib21_fts_lucene_plugin.so
%{_libdir}/%{pkg_name}/modules/imap/lib21_fts_lucene_plugin.so
%{_libdir}/%{pkg_name}/modules/lda/lib21_fts_lucene_plugin.so
%{_libdir}/%{pkg_name}/modules/pop3/lib21_fts_lucene_plugin.so
%endif

%if 0%{?with_solr}

%files fts-solr
%defattr(-,root,root,-)
%{_libdir}/%{pkg_name}/modules/lib21_fts_solr_plugin.so
%{_libdir}/%{pkg_name}/modules/imap/lib21_fts_solr_plugin.so
%{_libdir}/%{pkg_name}/modules/lda/lib21_fts_solr_plugin.so
%{_libdir}/%{pkg_name}/modules/pop3/lib21_fts_solr_plugin.so
%{_docdir}/%{pkg_name}/solr-schema.xml
%endif

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{pkg_name}/

%changelog
* Fri May 20 2011 alexandre@exatati.com.br
- Update sieve version to 0.1.19:
  - Enotify extension: fixed inappropriate return type in mailto URI
    parse function, also fixing ARM compiler warning.
  - Vacation extension: fixed handling of sendmail errors. It produced
    an additional confusing success message in case of error.
  - Removed header MIME-decoding to fix erroneous address parsing.
    Applies to address test and vacation command.
- Update managesieve patches to match the release:
  old: dovecot-1.2-managesieve-0.11.12.tar.bz2
  new: dovecot-1.2-managesieve-0.11.13.tar.bz2
  old: dovecot-1.2.16-managesieve-0.11.12.diff.bz2
  new: dovecot-1.2.17-managesieve-0.11.13.diff.bz2
  - ManageSieve: fixed bug in UTF-8 checking of string values.
* Wed May 11 2011 alexandre@exatati.com.br
- Update to 1.2.17:
  - Fixed potential crashes and other problems when parsing header names
    that contained NUL characters. (bnc#694778)
  - IMAP: Fixed a memory leak with ESEARCH command handling
  - Quota warnings could have been executed at incorrect times with
    some configs.
* Mon Nov 15 2010 alexandre@exatati.com.br
- Update managesieve patch to match the release:
  old: dovecot-1.2.15-managesieve-0.11.12.diff.bz2
  new: dovecot-1.2.16-managesieve-0.11.12.diff.bz2
* Tue Nov  9 2010 alexandre@exatati.com.br
- Update to 1.2.16:
  - imap: Fixed SELECT QRESYNC not to crash on mailbox close if a lot
    of changes were being sent.
  - pop3: Fixed a potential hang
  - mbox: Creating new mailboxes should base permissions on mail root
    dir, not always use 0600.
  - auth: Disable auth caching entirely for master users
- Add IMAP, POP3 and SIEVE services for SuSEfirewall2 (bnc#635447).
* Mon Oct  4 2010 alexandre@exatati.com.br
- set PIC/PIE globally so we dont have to regenerate the
  configure.
  the patches are still left in as documentation
- update sieve version to 0.1.18:
  - Imap4flags: fixed segfault bug occuring in multiscript context.
    Occured in specific situations when a script using imap4flags was
    followed in the sequence by scripts not using imap4flags.
  - Imap4flags: fixed bug in setflag command; when parameter was a
    stringlist, only the last item was actually set.
  - Prevented assertion failure due to currupt binary string
    representation. If the string were missing a final \0 character an
    assertion was produced in stead of a binary corruption error.
  - Multiscript: fixed duplicate implicit keep caused by erroneous
    execution state update.
  - Fixed Sieve script name checking to properly handle length limit
    and added 0x00ff as invalid character.
  - Removed spurious old stdio.h (top) includes; these caused compile
    issues on specific systems.
  - Fixed default Sieve capability (as reported by ManageSieve): extra
    extensions spamtest, spamtestplus and virustest were enabled by
    default. These should, however, only be enabled when properly
    configured and there is no default configuration.
  - Variables extension: fixed :length set modifier to recognize utf8
    characters in stead of octets.
  - Fixed unnecessary reporting of dummy extensions in ManageSieve
    SIEVE capability; the comparator-i;octet and
    comparator-i;ascii-numeric 'extensions' were reported explicitly.
  - LDA Sieve plugin: added _version symbol to enable Dovecot's plugin
    version check. Without this check, people can forget to recompile
    the plugin, which can lead to unexpected effects.
- update managesieve patches to match the release:
  old: dovecot-1.2-managesieve-0.11.11.tar.bz2
  new: dovecot-1.2-managesieve-0.11.12.tar.bz2
  old: dovecot-1.2.14-managesieve-0.11.11.diff.bz2
  new: dovecot-1.2.15-managesieve-0.11.12.diff.bz2
  - Fixed error handling of PUTSCRIPT commmand; save commit errors
    would not make the command fail.
  - Fixed PUTSCRIPT bug causing it to hang when given an empty script
    name.
* Fri Oct  1 2010 alexandre@exatati.com.br
- update to version 1.2.15:
  * acl: Fixed the logic of merging multiple ACL entries. Now it works as
    documented, while previously it could have done slightly different
    things depending on the order of the entries.
  * acl: Don't give admin rights to all owner mailboxes. This was
    originally done to make sure that mailbox owner couldn't accidentally
    remove their own admin rights. But this is already prevented by
    SETACL command, so it's not necessary. Also sysadmin may have
    intentionally removed some admin rights from some mailboxes
    (especially when using symlinked shared mailboxes).
  - Maildir: Fixed potential "Duplicate file entry" in dovecot-uidlist
    file errors.
  - Maildir: Avoid unnecessary uidlist recreation during mail delivery.
  - imap: When SELECT fails, it didn't close the previous mailbox.
  - Dovecot master process could have died if it got SIGCHLD signals
    very rapidly while it was trying to log. This could have happened
    for example if a lot of imap/pop3 sessions disconnected at the exact
    same time.
* Tue Sep  7 2010 mrueckert@suse.de
- update managesieve patch to match the release:
  old: dovecot-1.2.13-managesieve-0.11.11.diff.bz2
  new: dovecot-1.2.14-managesieve-0.11.11.diff.bz2
* Tue Aug 24 2010 alexandre@exatati.com.br
- update to version 1.2.14:
  + virtual mailboxes: Added support for IDLE notifications.
  - master: Don't crash on config reload when using dict processes.
  - IMAP: QRESYNC parameters for SELECT weren't handled correctly.
* Mon Jul 26 2010 alexandre@exatati.com.br
- update managesieve patch to match the release:
  old: dovecot-1.2.12-managesieve-0.11.11.diff.bz2
  new: dovecot-1.2.13-managesieve-0.11.11.diff.bz2
* Sat Jul 24 2010 alexandre@exatati.com.br
- update to version 1.2.13
  - Fixed iconv() crash when it was processing several kilobytes of
    broken continuous input. This mainly could have caused a problem
    with IMAP SEARCH. Possibly also with some Sieve checks.
  - If MIME encoded-words contained line feeds, Dovecot logged
    cache corruption errors.
  - mbox: Renaming mailbox under newly created dir didn't move index
    directory.
  - mbox: When generating envelope to From_-line, don't append a second
    @owndomain if username already has one.
* Sat Jun 19 2010 alexandre@exatati.com.br
- update to version 1.2.12
  - deliver: Don't crash when a message with Auto-submitted: header gets
    rejected.
  - lib-storage: Fixed header searches to work correctly when there are
    multiple headers with same name.
  - dict client: Disconnect from dict server after 1 second of idling.
  - dict: If process crashed, it wasn't automatically restarted
  - dict file: If dict file's group permissions equal world permissions,
    don't try to change its gid.
  - maildir: Fixed a memory leak when copying with hardlinks.
  - maildir: Expunging last messages may have assert-crashed if their
    filenames had just changed.
- update sieve version to 0.1.17:
  - Made sure source code positions for compiler messages are recorded
    at start of tokens.
  - Fixed a few potential memory leaks in the Sieve compiler and the
    spam/virustest extensions.
  - Made command line tools return proper exit status upon failure.
- update managesieve patch to match the release:
  old: dovecot-1.2.11-managesieve-0.11.11.diff.bz2
  new: dovecot-1.2.12-managesieve-0.11.11.diff.bz2
- update sieve pie patch to match release:
  old: dovecot-1.2-sieve-0.1.16_pie.patch
  new: dovecot-1.2-sieve-0.1.17_pie.patch
* Sun May  2 2010 aj@suse.de
- Handle /var/run on tmpfs
* Fri Apr 30 2010 alexandre@exatati.com.br
- update sieve version to 0.1.16:
  * Finished implementation of spamtest, spamtestplus and virustest
    extensions. These are not enabled by default and need to be
    activated with the sieve_extensions setting. Documentation available
    in doc/spamtest-virustest.txt
  + Vacation extension: the from address of the generated reply is now
    by default equal to whatever known recipient alias matched the
    headers of the message. If it is one of the aliases specified with
    :addresses, it is used in stead of the envelope recipient address
    that was used before.
  + Restructured and optimized the lexical scanner.
  + Added --with-docs configure option to allow disabling installation
    of documentation.
  - Accidentally omitted 'extern' in two declarations of global
    variables in header files, causing compile failures on certain
    systems.
  - Deprecated imapflags extension: fixed implicit assignment of flags.
    Turns out this never really worked, but the effect of this bug was
    obscured by the removeflag bug fixed in the previous release.
  - Fixed various memset argument mixups in enotify extension. This
    caused warnings on certain systems, but luckily no adverse effects
    at runtime.
- Removed dovecot-1.2-sieve-0.1.15_memset.patch, changes merged on
  upstream code;
- Updated dovecot-1.2-sieve-0.1.16_pie.patch;
- Spec file cleaned with spec-cleaner.
* Thu Mar 18 2010 alexandre@exatati.com.br
- ManageSieve patch refreshed for 1.2.11.
* Tue Mar  9 2010 mrueckert@suse.de
- package solr schema
* Mon Mar  8 2010 mrueckert@suse.de
- update to version 1.2.11
  - mbox: Message header reading was unnecessarily slow. Fetching a
    huge header could have resulted in Dovecot eating a lot of CPU.
    Also searching messages was much slower than necessary.
  - mbox, dbox, cydir: Mail root directory was created with 0770
    permissions, instead of 0700.
  - maildir: Reading uidlist could have ended up in an infinite
    loop.
  - IMAP IDLE: v1.2.7+ caused extra load by checking changes every
    0.5 seconds after a change had occurred in mailbox
- added dovecot-1.2-sieve-0.1.15_memset.patch:
  fix order of memset arguments
* Mon Mar  8 2010 mrueckert@suse.de
- enable solr backend for full text search
  adds 2 new dependencies: curl and expat
* Mon Jan 25 2010 alexandre@exatati.com.br
- update sieve version to 0.1.15:
  * Enotify extension:
  - Adjusted notify method API for addition of new notification
    methods.
  - Set default importance level to 'normal' (was 'high').
  * Include extension: updated implementation towards most recent
    specification (all should be backwards compatible):
  - Implemented global variables namespace.
  - Global command may now appear anywhere in a script.
  - Implemented script name checking using the requirements specified
    in the ManageSieve draft.
  - One issue remains: ManageSieve currently requires included scripts
    to be uploaded first, which is not according to specification.
  * Changed envelope path parser to allow to and from envelope addresses
    that have no domain part.
  + Added preliminary support for Sieve plugins and added support for
    installing Sieve development headers.
  + Started work on the implementation of the spamtest, spamtestplus and
    virustest extensions (unfinished).
  + Deprecated notify extension: implemented denotify command.
  + Variables extension: added support for variable namespaces.
  + Added configurable script size limit. Compiler will refuse to
    compile files larger than sieve_max_script_size.
  + Testsuite changes:
  - Added support for changing and testing an extension's
    configuration.
  - Added a command line parameter for copying errors to stderr.
  - Fixed a bug in the i;ascii-numeric comparator. If one of the
    strings started with a non-digit character, the comparator would
    always yield less-than.
  - Imap4flags extension: fixed bug in removeflag: removing a single
    flag failed due to off-by-one error (bug report by Julian Cowley).
  - Improved EACCES error messages for stat() and lstat() syscalls and
    slightly improved error messages that may uccur when saving a
    binary.
  - Vacation extension: fixed typo in runtime log message (patch by
    Julian Cowley).
  - Fixed use of minus '-' in man pages; it is now properly escaped.
  - Fixed parser recovery. In particular cases it would trigger spurious
    errors after an initial valid error and sometimes additional errors
    were inappropriately ignored.
- update managesieve patches to match the release:
  old: dovecot-1.2-managesieve-0.11.10.tar.bz2
  new: dovecot-1.2-managesieve-0.11.11.tar.bz2
  old: dovecot-1.2.9-managesieve-0.11.10.diff.bz2
  new: dovecot-1.2.10-managesieve-0.11.11.diff.bz2
  * This release contains adjustments to match changes in the Sieve API.
    This means that this release will only compile against Pigeonhole
    Sieve v0.1.15.
  + Implemented ManageSieve QUOTA enforcement.
  + Added MAXREDIRECTS capability after login.
  + Implemented new script name rules specified in most recent
    ManageSieve draft.
  - Fixed assertion failure occuring with challenge-response SASL
    mechanisms.
  - Made configure complain about trying to compile against installed
    Dovecot headers alone.
  - Fixed compile warning for compilation against CMUSieve.
- update managesieve pie patch to match release:
  old: dovecot-1.2-managesieve-0.11.10_pie.patch
  new: dovecot-1.2-managesieve-0.11.11_pie.patch
- update sieve pie patch to match release:
  old: dovecot-1.2-sieve-0.1.14_pie.patch
  new: dovecot-1.2-sieve-0.1.15_pie.patch
- update to version 1.2.10
  + %%variables now support %%{host}, %%{pid} and %%{env:ENVIRONMENT_NAME}
    everywhere.
  + LIST-STATUS capability is now advertised
  - maildir: Fixed several assert-crashes.
  - imap: LIST "" inbox shouldn't crash when using namespace with
    "INBOX." prefix.
  - lazy_expunge now ignores non-private namespaces.
* Sat Dec 19 2009 alexandre@exatati.com.br
- update sieve version to 0.1.14:
  * Made the imposed limits on the number of redirects and the number
    of actions configurable. The settings are called sieve_max_actions
    and sieve_max_redirects.
  * Did a major rework of extension handling, making sure that no global
    state is maintained. This change was triggered by problems that
    global state info would cause for Dovecot v2.0, but it is also
    important for v1.2 as it significantly cleans up the library
    implementation.
  + Made LDA Sieve plugin recognize the deliver_log_format setting.
  + Message headers produced from user-supplied data are now
    RFC2047-encoded if necessary for outgoing messages. This is for
    example important for the :subject argument of the vacation action.
  + Added support for the $text$ substitution in the deprecated notify
    extension.
  + The subaddress extension now also accepts recipient_delimiter
    setting as an alias for sieve_subaddress_sep setting. This
    anticipates the recipient_delimiter setting in v2.0.
  - Fixed logging of mailbox names. It logged the converted mUTF7
    version in stead of the original UTF8 version supplied by the user.
  - Fixed a minor memory leak in the multiscript support.
  - Fixed a bug in the recompilation of Sieve scripts. Made sure that
    scripts are only recompiled when the script file - or the symlink
    pointing to it - is strictly newer.
- update managesieve patches to match the release:
  old: dovecot-1.2-managesieve-0.11.9.tar.bz2
  new: dovecot-1.2-managesieve-0.11.10.tar.bz2
  old: dovecot-1.2.8-managesieve-0.11.9.diff.bz2
  new: dovecot-1.2.9-managesieve-0.11.10.diff.bz2
  * This release contains adjustments to match changes in the Sieve API.
    This means that this release will only compile against Pigeonhole
    Sieve v0.1.14.
  - Fixed compilation of ManageSieve against CMUSieve.
- update managesieve pie patch to match release:
  old: dovecot-1.2-managesieve-0.11.9_pie.patch
  new: dovecot-1.2-managesieve-0.11.10_pie.patch
- update sieve pie patch to match release:
  old: dovecot-1.2-sieve-0.1.13_pie.patch
  new: dovecot-1.2-sieve-0.1.14_pie.patch
* Fri Dec 18 2009 alexandre@exatati.com.br
- update to version 1.2.9
  * maildir: When saving, filenames now always contain ,S=<size>.
    Previously this was done only when quota plugin was loaded. It's
    required for zlib plugin and may be useful for other things too.
  + lazy-expunge: Support a single-namespace configuration. If a mailbox
    is deleted, its messages are merged with its old expunged messages
    (if there were any).
  + expire: Settings now support spaces in mailbox names by using
    quoted strings.
  - maildir: v1.2.7 and v1.2.8 caused assert-crashes in
    maildir_uidlist_records_drop_expunges()
  - maildir_copy_preserve_filename=yes could have caused crashes.
  - Maildir++ quota: %% limits weren't updated when limits were read
    from maildirsize.
  - virtual: v1.2.8 didn't fully fix the "lots of mailboxes" bug
  - virtual: Fixed updating virtual mailbox based on flag changes.
  - fts-squat: Fixed searching multi-byte characters.
* Mon Nov 23 2009 alexandre@exatati.com.br
- update managesieve patch to match the release:
  old: dovecot-1.2.7-managesieve-0.11.9.diff.bz2
  new: dovecot-1.2.8-managesieve-0.11.9.diff.bz2
* Fri Nov 20 2009 alexandre@exatati.com.br
- update to version 1.2.8
  * Dovecot v1.2.x had been creating base_dir (and its parents if
    necessary) with 0777 permissions. The base_dir's permissions get
    changed to 0755 automatically at startup, but you may need to
    chmod the parent directories manually.
  - acl: If user has rights from more than one group, merge them instead
    of choosing one group's rights and ignoring others.
  - virtual: When using a lot of mailboxes, the virtual mailbox's header
    could have grown over 32 kB and caused "out of memory" crashes. Also
    over 64 kB headers couldn't even be updated with existing transaction
    log records. Added a new record type that gets used with >=64 kB
    headers. Older Dovecot versions don't understand this header and
    will log errors if they see it.
  - FETCH BODYSTRUCTURE didn't return RFC 2231 "key*" fields correctly
* Sat Nov 14 2009 alexandre@exatati.com.br
- update to version 1.2.7
  * IMAP: IDLE now sends "Still here" notifications to same user's
    connections at the same time. This hopefully reduces power usage
    of some mobile clients that use multiple IDLEing connections.
  * IMAP: If imap_capability is set, show it in the login banner.
  + IMAP: Implemented SORT=DISPLAY extension.
  - Login process creation could have sometimes failed with epoll_ctl()
    errors or without epoll probably some other strange things could
    have happened.
  - Maildir: Fixed some performance issues
  - Maildir: Fixed crash when using a lot of keywords.
  - Several fixes to QRESYNC extension and modseq handling
  - mbox: Make sure failed saves get rolled back with NFS.
  - dbox: Several fixes.
- update managesieve patch to match the release:
  old: dovecot-1.2.6-managesieve-0.11.9.diff.bz2
  new: dovecot-1.2.7-managesieve-0.11.9.diff.bz2
* Mon Oct 19 2009 alexandre@exatati.com.br
- update sieve version to 0.1.13
  + Body extension: implemented proper handling of the :raw transform
    and added various new tests to the test suite. However, :content
    "multipart" and :content "message/rfc822" are still not working.
  + Fixed race condition occuring when multiple instances are saving the
    same binary (patch by Timo Sirainen).
  + Test suite: added support for testing multiscript execution.
  - Made compiler more lenient towars missing CRLF at the end of the
    script in a hash comment.
  - Body extension: don't give SKIP_BODY_BLOCK flag to message parser,
    we want the body! (patch by Timo Sirainen).
  - Fixed handling of implicit side effects for multiscript execution.
  - Fixed bugs in multiscript support; subsequent keep actions were not
    always merged correctly and implicit side effects were not always
    handled correctly.
  - Fixed a segfault bug in the sieve-test tool occuring when compile
    fails.
  - Fixed segfault bug in action procesing. It was triggered while
    merging side effects in duplicate actions.
  - Fixed bug in the Sieve plugin that caused it to try to stat() a NULL
    path, yielding a 'Bad address' error.
- update sieve pie patch to match release:
  old: dovecot-1.2-sieve-0.1.12_pie.patch
  new: dovecot-1.2-sieve-0.1.13_pie.patch
* Thu Oct  8 2009 mrueckert@suse.de
- fix obsoletes/provides/conflicts
* Tue Oct  6 2009 alexandre@exatati.com.br
- update to version 1.2.6
  * Upgraded to Unicode 5.2.0
  + Added authtest utility for doing passdb and userdb lookups.
  + login: ssl_security string now also shows the used compression.
  - quota: Don't crash with non-Maildir++ quota backend.
  - imap proxy: Fixed crashing with some specific password characters.
  - dovecot --exec-mail was broken.
  - Avoid assert-crashing when two processes try to create index at the
    same time.
- update managesieve patch to match the release:
  old: dovecot-1.2.4-managesieve-0.11.9.diff.bz2
  new: dovecot-1.2.6-managesieve-0.11.9.diff.bz2
* Mon Sep 14 2009 alexandre@exatati.com.br
- update to version 1.2.5
  * Authentication: DIGEST-MD5 and RPA mechanisms no longer require
    user's login realm to be listed in auth_realms. It only made
    configuration more difficult without really providing extra security.
  * zlib plugin: Don't allow clients to save compressed data directly.
    This prevents users from exploiting (most of the) potential security
    holes in zlib/bzlib.
  + Added pop3_save_uidl setting.
  + dict quota: When updating quota and user isn't already in dict,
    recalculate and save the quota.
  - file_set_size() was broken with OSes that didn't support
    posix_fallocate() (almost everyone except Linux), causing all kinds
    of index file errors.
  - v1.2.4 index file handling could have caused an assert-crash
  - IMAP: Fixes to QRESYNC extension.
  - virtual plugin: Crashfix
  - deliver: Don't send rejects to any messages that have Auto-Submitted
    header. This avoids emails loops.
  - Maildir: Performance fixes, especially with maildir_very_dirty_syncs.
  - Maildir++ quota: Limits weren't read early enough from maildirsize
    file (when quota limits not enforced by Dovecot)
  - Message decoding fixes (mainly for IMAP SEARCH, Sieve).
* Thu Aug 27 2009 alexandre@exatati.com.br
- update to version 1.2.4
  * acl: When looking up ACL defaults, use global/local default files
    if they exist. So it's now possible to set default ACLs by creating
    dovecot-acl file to the mail root directory.
  + imap/pop3 proxy: If proxy destination is known to be down,
    fail connections to it immediately.
  + imap/pop3 proxy: Added proxy_timeout passdb extra field to specify
    proxy's connect timeout.
  - Fixed a crash in index file handling.
  - Fixed a crash in saving messages where message contained a CR
    character that wasn't followed by LF (and the CR happened to be the
    last character in an internal buffer).
  - v1.2.3 crashed when listing shared namespace prefix.
  - listescape plugin: Several fixes.
  - autocreate plugin: Fixed autosubscribing to mailboxes in
    subscriptions=no namespaces.
- aditional changes from 1.2.3
  * Mailbox names with control characters can't be created anymore.
    Existing mailboxes can still be accessed though.
  + Allow namespace prefix to be opened as mailbox, if a mailbox
    already exists in the root dir.
  - Maildir: dovecot-uidlist was being recreated every time a mailbox
    was accessed, even if nothing changed.
  - listescape plugin was somewhat broken
  - Compiling fixes for non-Linux/BSDs
  - imap: tb-extra-mailbox-sep workaround was broken.
  - ldap: Fixed hang when >128 requests were sent at once.
  - fts_squat: Fixed crashing when searching virtual mailbox.
  - imap: Fixed THREAD .. INTHREAD crashing.
- aditional changes from 1.2.2
  * GSSAPI: More changes to authentication. Hopefully good now.
  * lazy_expunge plugin: Drop \Deleted flag when moving message.
  + dovecot -n/-a now outputs also lda settings.
  + dovecot.conf !include now supports globs (e.g.
    !include /etc/dovecot/*.conf). Based on patch by Thomas Guthmann.
  + acl: Support spaces in user/group identifiers.
  + shared mailboxes: If only %%%%n is specified in prefix, default to
    current user's domain.
  - Dovecot master process could hang if it received signals too rapidly.
  - Fixed "corrupted index cache file" errors (and perhaps others) caused
    by e.g. IMAP's FETCH BODY[] command.
  - IMAP: When QRESYNC is enabled, don't crash when a new mail is
    received while IDLEing.
  - IMAP: FETCH X-* parameters weren't working.
  - Maildir++ quota: Quota was sometimes updated wrong when it was
    being recalculated.
  - Searching quoted-printable message body internally converted "_"
    characters to spaces and didn't match search keys with "_".
  - Messages in year's first/last day may have had broken timezones
    with OSes not having struct tm->tm_gmtoff (e.g. Solaris).
  - virtual plugin: If another session adds a new mailbox to index,
    don't crash.
- update sieve pacthes to match the release:
  old: dovecot-1.2-sieve-0.1.8.tar.bz2
  new: dovecot-1.2-sieve-0.1.12.tar.bz2
  + Testsuite: added support for testing binaries stored on disk.
  + Implemented the new date extension. This allows matching
    against date values in header fields and the current date at
    the time of script evaluation.
- update managesieve patches to match the release:
  old: dovecot-1.2-managesieve-0.11.7.tar.bz2
  new: dovecot-1.2-managesieve-0.11.9.tar.bz
  old: dovecot-1.2.1-managesieve-0.11.7.diff.bz2
  new: dovecot-1.2.4-managesieve-0.11.9.diff.bz2
  * Adjusted to changes in the Dovecot login proxy API. This
    release therefore depends on Dovecot v1.2.4.
  + Reintroduced ability to abort SASL with "*" response. Latest
    ManageSieve specification includes it.
* Wed Jul 15 2009 mrueckert@suse.de
- initial package of the 1.2 series
